Package org.opensaml.xacml.profile.saml

# Class SAMLProfileConstants

java.lang.Object
org.opensaml.xacml.profile.saml.SAMLProfileConstants

public final class SAMLProfileConstants extends Object
Defines the constants for this XACML SAML2.0 profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`SAML_DATATYPE_ATTRIB`
QName of the DataType attribute that must be on SAML attributes that meet the XACML attribute profile spec.
`static final String`
`SAML20XACML1_1_NS`
The namespace for use of XACML 1.1 SAML 2.0 assertion.
`static final String`
`SAML20XACML1_1P_NS`
The namespace for use of XACML 1.1 SAML 2.0 protocol.
`static final String`
`SAML20XACML10_NS`
The namespaces for use of XACML 1.0 SAML 2.0 assertion.
`static final String`
`SAML20XACML10P_NS`
The namespaces for use of XACML 1.0 SAML 2.0 protocol.
`static final String`
`SAML20XACML20_NS`
The namespaces for use of XACML 2.0 SAML 2.0 assertion.
`static final String`
`SAML20XACML20P_NS`
The namespaces for use of XACML 2.0 SAML 2.0 protocol.
`static final String`
`SAML20XACML30_NS`
The namespaces for use of XACML 3.0 SAML 2.0 assertion.
`static final String`
`SAML20XACML30P_NS`
The namespaces for use of XACML 3.0 SAML 2.0 protocol.
`static final String`
`SAML20XACMLASSERTION_PREFIX`
The prefix for the use of saml-xacml assertion.
`static final String`
`SAML20XACMLPROTOCOL_PREFIX`
The prefix for the use of saml20-xacml protocol.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLProfileConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SAML20XACMLASSERTION_PREFIX

public static final String SAML20XACMLASSERTION_PREFIX
The prefix for the use of saml-xacml assertion.

See Also:
  - Constant Field Values

### SAML20XACMLPROTOCOL_PREFIX

public static final String SAML20XACMLPROTOCOL_PREFIX
The prefix for the use of saml20-xacml protocol.

See Also:
  - Constant Field Values

### SAML20XACML10P_NS

public static final String SAML20XACML10P_NS
The namespaces for use of XACML 1.0 SAML 2.0 protocol.

See Also:
  - Constant Field Values

### SAML20XACML10_NS

public static final String SAML20XACML10_NS
The namespaces for use of XACML 1.0 SAML 2.0 assertion.

See Also:
  - Constant Field Values

### SAML20XACML1_1P_NS

public static final String SAML20XACML1_1P_NS
The namespace for use of XACML 1.1 SAML 2.0 protocol.

See Also:
  - Constant Field Values

### SAML20XACML1_1_NS

public static final String SAML20XACML1_1_NS
The namespace for use of XACML 1.1 SAML 2.0 assertion.

See Also:
  - Constant Field Values

### SAML20XACML20P_NS

public static final String SAML20XACML20P_NS
The namespaces for use of XACML 2.0 SAML 2.0 protocol.

See Also:
  - Constant Field Values

### SAML20XACML20_NS

public static final String SAML20XACML20_NS
The namespaces for use of XACML 2.0 SAML 2.0 assertion.

See Also:
  - Constant Field Values

### SAML20XACML30P_NS

public static final String SAML20XACML30P_NS
The namespaces for use of XACML 3.0 SAML 2.0 protocol.

See Also:
  - Constant Field Values

### SAML20XACML30_NS

public static final String SAML20XACML30_NS
The namespaces for use of XACML 3.0 SAML 2.0 assertion.

See Also:
  - Constant Field Values

### SAML_DATATYPE_ATTRIB

public static final QName SAML_DATATYPE_ATTRIB
QName of the DataType attribute that must be on SAML attributes that meet the XACML attribute profile spec.

## Constructor Details

### SAMLProfileConstants

private SAMLProfileConstants()
Constructor.